Update an organization reusable block
curl --request PATCH \
--url https://api.autype.com/api/v1/dev/reusable-blocks/{blockId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Legal disclaimer",
"description": "Reusable footer disclaimer for proposals.",
"category": "legal",
"tags": [
"proposal",
"footer"
],
"markdown": "<string>",
"variables": {},
"changeNote": "Updated payment deadline and contact details"
}
'import requests
url = "https://api.autype.com/api/v1/dev/reusable-blocks/{blockId}"
payload = {
"name": "Legal disclaimer",
"description": "Reusable footer disclaimer for proposals.",
"category": "legal",
"tags": ["proposal", "footer"],
"markdown": "<string>",
"variables": {},
"changeNote": "Updated payment deadline and contact details"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Legal disclaimer',
description: 'Reusable footer disclaimer for proposals.',
category: 'legal',
tags: ['proposal', 'footer'],
markdown: '<string>',
variables: {},
changeNote: 'Updated payment deadline and contact details'
})
};
fetch('https://api.autype.com/api/v1/dev/reusable-blocks/{blockId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"slug": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"currentVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"createdByUserId": "<string>",
"current": {
"id": "<string>",
"blockId": "<string>",
"version": 123,
"title": "<string>",
"markdown": "<string>",
"schema": {},
"variables": {},
"createdAt": "2023-11-07T05:31:56Z",
"changeNote": "<string>",
"restoredFromVersion": 123,
"createdByUserId": "<string>"
},
"versions": [
{
"id": "<string>",
"blockId": "<string>",
"version": 123,
"title": "<string>",
"markdown": "<string>",
"schema": {},
"variables": {},
"createdAt": "2023-11-07T05:31:56Z",
"changeNote": "<string>",
"restoredFromVersion": 123,
"createdByUserId": "<string>"
}
]
}Reusable Blocks
Update an organization reusable block
PATCH
/
api
/
v1
/
dev
/
reusable-blocks
/
{blockId}
Update an organization reusable block
Authorizations
mcp-oauthapi-key
Short-lived, Developer-API-audience token obtained by the trusted MCP service through token exchange (mcp_at_...). Raw MCP resource tokens are rejected.
Path Parameters
Body
application/json
Example:
"Legal disclaimer"
Example:
"Reusable footer disclaimer for proposals."
Example:
"legal"
Example:
["proposal", "footer"]
Replacement Extended Markdown. When provided, a new block version is published.
Optional variables metadata for a new block version.
Short changelog note used when replacement Markdown publishes a new version.
Example:
"Updated payment deadline and contact details"
Available options:
DRAFT, ACTIVE, ARCHIVED Response
200 - application/json
Available options:
DRAFT, ACTIVE, ARCHIVED Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
